MONGOC_CLIENT_ENCRYPTION_REWRAP_MANY_DATAKEY_RESULT_GET_BULK_WRITE_RESULT(3)

NAME
mongoc_client_encryption_rewrap_many_datakey_result_get_bulk_write_result - mongoc_client_encryption_rewrap_many_datakey_result_get_bulk_write_result()

SYNOPSIS

const bson_t *
mongoc_client_encryption_rewrap_many_datakey_result_get_bulk_write_result (
   mongoc_client_encryption_rewrap_many_datakey_result_t *result)
   BSON_GNUC_WARN_UNUSED_RESULT;

Get the bulk write result set by a successful call to mongoc_client_encryption_rewrap_many_datakey().

Returns NULL if no bulk write operation was executed or if the bulk write operation was unacknowledged.

PARAMETERS

•   result: A mongoc_client_encryption_rewrap_many_datakey_result_t.

RETURNS

A bson_t that must not be modified or freed if result is not NULL. Otherwise, returns NULL.

SEE ALSO:
mongoc_client_encryption_rewrap_many_datakey()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc